Package com.omnisci.thrift.server

## Class TServerPermissions

- java.lang.Object
- - com.omnisci.thrift.server.TServerPermissions

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TServerPermissions>`, `org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>`, `org.apache.thrift.TSerializable`

    public class TServerPermissions
    extends Object
    implements org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>, Serializable, Cloneable, Comparable<TServerPermissions>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TServerPermissions._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `alter_`
`boolean` `create_`
`boolean` `drop_`
`static Map<TServerPermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `usage_`

### Constructor Summary

Constructors
`TServerPermissions()`
`TServerPermissions​(boolean create_, boolean drop_, boolean alter_, boolean usage_)`
`TServerPermissions​(TServerPermissions other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TServerPermissions other)`
`TServerPermissions` `deepCopy()`
`boolean` `equals​(TServerPermissions that)`
`boolean` `equals​(Object that)`
`TServerPermissions._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TServerPermissions._Fields field)`
`int` `hashCode()`
`boolean` `isAlter_()`
`boolean` `isCreate_()`
`boolean` `isDrop_()`
`boolean` `isSet​(TServerPermissions._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetAlter_()` Returns true if field alter_ is set (has been assigned a value) and false otherwise
`boolean` `isSetCreate_()` Returns true if field create_ is set (has been assigned a value) and false otherwise
`boolean` `isSetDrop_()` Returns true if field drop_ is set (has been assigned a value) and false otherwise
`boolean` `isSetUsage_()` Returns true if field usage_ is set (has been assigned a value) and false otherwise
`boolean` `isUsage_()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TServerPermissions` `setAlter_​(boolean alter_)`
`void` `setAlter_IsSet​(boolean value)`
`TServerPermissions` `setCreate_​(boolean create_)`
`void` `setCreate_IsSet​(boolean value)`
`TServerPermissions` `setDrop_​(boolean drop_)`
`void` `setDrop_IsSet​(boolean value)`
`void` `setFieldValue​(TServerPermissions._Fields field, Object value)`
`TServerPermissions` `setUsage_​(boolean usage_)`
`void` `setUsage_IsSet​(boolean value)`
`String` `toString()`
`void` `unsetAlter_()`
`void` `unsetCreate_()`
`void` `unsetDrop_()`
`void` `unsetUsage_()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### create_

    public boolean create_

#### drop_

    public boolean drop_

#### alter_

    public boolean alter_

#### usage_

    public boolean usage_

#### metaDataMap

    public static final Map<TServerPermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TServerPermissions

    public TServerPermissions()

#### TServerPermissions

    public TServerPermissions​(boolean create_,
                              boolean drop_,
                              boolean alter_,
                              boolean usage_)

#### TServerPermissions

    public TServerPermissions​(TServerPermissions other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TServerPermissions deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>`

#### isCreate_

    public boolean isCreate_()

#### setCreate_

    public TServerPermissions setCreate_​(boolean create_)

#### unsetCreate_

    public void unsetCreate_()

#### isSetCreate_

    public boolean isSetCreate_()

Returns true if field create_ is set (has been assigned a value) and false otherwise

#### setCreate_IsSet

    public void setCreate_IsSet​(boolean value)

#### isDrop_

    public boolean isDrop_()

#### setDrop_

    public TServerPermissions setDrop_​(boolean drop_)

#### unsetDrop_

    public void unsetDrop_()

#### isSetDrop_

    public boolean isSetDrop_()

Returns true if field drop_ is set (has been assigned a value) and false otherwise

#### setDrop_IsSet

    public void setDrop_IsSet​(boolean value)

#### isAlter_

    public boolean isAlter_()

#### setAlter_

    public TServerPermissions setAlter_​(boolean alter_)

#### unsetAlter_

    public void unsetAlter_()

#### isSetAlter_

    public boolean isSetAlter_()

Returns true if field alter_ is set (has been assigned a value) and false otherwise

#### setAlter_IsSet

    public void setAlter_IsSet​(boolean value)

#### isUsage_

    public boolean isUsage_()

#### setUsage_

    public TServerPermissions setUsage_​(boolean usage_)

#### unsetUsage_

    public void unsetUsage_()

#### isSetUsage_

    public boolean isSetUsage_()

Returns true if field usage_ is set (has been assigned a value) and false otherwise

#### setUsage_IsSet

    public void setUsage_IsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TServerPermissions._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>`

#### getFieldValue

    public Object getFieldValue​(TServerPermissions._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>`

#### isSet

    public boolean isSet​(TServerPermissions._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TServerPermissions that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TServerPermissions other)

Specified by:
  `compareTo` in interface `Comparable<TServerPermissions>`

#### fieldForId

    public TServerPermissions._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TServerPermissions,​TServerPermissions._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`